import { BooleanInput } from '@angular/cdk/coercion';
import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { MatButton } from '@angular/material/button';
import { NgxPlusifyDatepickerControl, NgxPlusifyDatepickerPanel } from './datepicker-base';
import { NgxPlusifyDatepickerIntl } from './datepicker-intl';
import * as i0 from "@angular/core";
/** Can be used to override the icon of a `matDatepickerToggle`. */
export declare class NgxPlusifyDatepickerToggleIcon {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerToggleIcon, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxPlusifyDatepickerToggleIcon, "[ngxPlusifyDatepickerToggleIcon]", never, {}, {}, never, never, false, never>;
}
export declare class NgxPlusifyDatepickerToggle<D> implements AfterContentInit, OnChanges, OnDestroy {
    _intl: NgxPlusifyDatepickerIntl;
    private _changeDetectorRef;
    private _stateChanges;
    /** Datepicker instance that the button will toggle. */
    datepicker: NgxPlusifyDatepickerPanel<NgxPlusifyDatepickerControl<any>, D>;
    /** Tabindex for the toggle. */
    tabIndex: number | null;
    /** Screen-reader label for the button. */
    ariaLabel: string;
    /** Whether the toggle button is disabled. */
    get disabled(): boolean;
    set disabled(value: BooleanInput);
    private _disabled;
    /** Whether ripples on the toggle should be disabled. */
    disableRipple: boolean;
    /** Custom icon set by the consumer. */
    _customIcon: NgxPlusifyDatepickerToggleIcon;
    /** Underlying button element. */
    _button: MatButton;
    constructor(_intl: NgxPlusifyDatepickerIntl, _changeDetectorRef: ChangeDetectorRef, defaultTabIndex: string);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    _open(event: Event): void;
    private _watchStateChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerToggle<any>, [null, null, { attribute: "tabindex"; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxPlusifyDatepickerToggle<any>, "ngx-plusify-datepicker-toggle", ["ngxPlusifyDatepickerToggle"], { "datepicker": { "alias": "for"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "ariaLabel": { "alias": "aria-label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "disableRipple": { "alias": "disableRipple"; "required": false; }; }, {}, ["_customIcon"], ["[ngxPlusifyDatepickerToggleIcon]"], false, never>;
}
//# sourceMappingURL=datepicker-toggle.d.ts.map